#!/bin/bash

function error ()
{
    [ $# -eq 1 ] && echo "ERROR: $1" >&2
    exit 1
}

function usage ()
{
    echo "USAGE: $0 arch path"
}

function clean ()
{
    for dir in amd64 i386
    do
	(cd $dir; debuild clean; rm -rf bin)
    done

    rm -rf *.dsc *.tar.gz *.build *.changes *.deb
}

function build ()
{
    dir=$1
    bin="$2/dcaseweaver"

    [ -d $dir ] || error "No such directory: $dir"
    [ -f $bin ] || error "No such file: $bin"

    mkdir $dir/bin

    cp $bin $dir/bin/

    cd $dir

    debuild -us -uc
}

if [ $# -ge 1 -a $1 == "clean" ]
then
    clean
elif [ $# -eq 2 -a $1 == "i386" ]
then
    clean
    build $1 $2
elif [ $# -eq 2 -a $1 == "amd64" ]
then
    clean
    build $1 $2
else
 error "`usage`"
fi

exit 0
